10

I tried to install using PPA and also by downloading xampp app from apachefriends.org but all in vain. How can I install xampp without any error? Someone suggest a way.

bash: ./xampp-linux-x64-5.6.20-0-installer.run: cannot execute binary file: Exec format error

This is the error i face while I try to install

24

If you are running into specific errors, it would be useful to have them in your post to help us diagnose the problem. But to install xampp, it should be as easy as:

wget https://www.apachefriends.org/xampp-files/5.6.20/xampp-linux-x64-5.6.20-0-installer.run
sudo su
chmod +x xampp-linux-x64-5.6.20-0-installer.run
./xampp-linux-x64-5.6.20-0-installer.run

Taken from http://www.ubuntumaniac.com/2016/04/install-xampp-5620-on-ubuntu-1604.html.

  • bash: ./xampp-linux-x64-5.6.20-0-installer.run: cannot execute binary file: Exec format error This is the error i face while I try to install – Sarath Apr 14 '17 at 9:24
  • Are you running i386 (32 bit) or x86_64 (64 bit)? Or another type of architecture altogether (eg, ARM for a Raspberry Pi)? This page on SourceForge has xampp 5.6.20 compiled for 32bit Linux (it's the non-x64 download link). Try downloading that and executing it with chmod a+x xampp-linux-5.6.20-0-installer.run && ./xampp-linux-5.6.20-0-installer.run. That error indicates that you are using something compiled for another architecture. – Foxie Apr 14 '17 at 9:53
  • where can i download xampp for 32 bit ubuntu? – Sarath Apr 14 '17 at 9:56
  • Please refer to my previous comment; I have provided a link there to a SourceForge page which has 32bit xampp 5.6.20 available. – Foxie Apr 14 '17 at 9:57
  • 3
    its 2018 and I still have to install it using the specific commands that you described. Why the hell is it so complicated? Double click for the win – Adam Sep 13 '18 at 19:39
3

If you want to do a fresh installation, follow this

Note : LAMPP is the Linux specific version of XAMPP.

  1. Download LAMPP-Server using this command

    $sudo apt-get install lamp-server^

  2. Goto https://www.apachefriends.org/download.html and download the version of LAMPP software that you want for Linux (Ubuntu).

  3. Open your Terminal and locate the file (by default it downloads into the Downloads folder)

    cd Downloads

  4. Execute this command

    sudo chmod +x xampp-linux-x64-7.1.7-0-installer.run

    Note : The version of XAMPP you'll download might be different, so change the version in this command accordingly.

    You'll be asked for your system's password

  5. Now go into SuperUser mode

    sudo su

  6. Run the installer, but don't close the Terminal.

    ./xampp-linux-x64-7.1.7-0-installer.run

    Note: Again change the version for executing this command.

    A dialog box will open, if you get an error, ignore it. In the dialog box, click next(for each step) and move through the process of installation. Once XAMPP is installed, click finish.

  7. Go back to your Terminal and change the directory

    cd /opt/lampp

  8. To set a password, type

    ./lampp security

    Press y(Enter) and enter a new password and re-enter this password again to confirm

  9. Start XAMPP

    ./xampp start

  10. Type exit(Enter) to exit the SuperUser

  11. To start LAMPP, execute this command

    sudo /opt/lampp/lampp start

  12. To stop LAMPP, execute this command

    sudo /opt/lampp/lampp stop

1

By default Ubuntu does not allow files to be executed, thus you need to enable it.

1) Select the .run file and go to its properties.
2) Go To permissions Tab and enable 'is executable' option
3) Now if you have root privilege you'll be able to double click on it and complete the installation process. Or do sudo ./xampp-linux-x64-7.2.2-0-installer.run making sure you have the correct version.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.